<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZOrderDetailListViewBase from './ibizorder-detail-list-view-base.vue';

import view_list from '@widgets/ibizorder-detail/order-details-list-list/order-details-list-list.vue';
@Component({
    components: {
        view_list, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZOrderDetailListView extends IBIZOrderDetailListViewBase {

}
</script>